    import {StakeInstruction} from '@solana/web3'

public class | source

# StakeInstruction

#### Extends:

TransactionInstruction → StakeInstruction

Stake Instruction class

## Static Method Summary

Static Public Methods
public static | from(instruction: TransactionInstruction): StakeInstruction |

## Constructor Summary

Public Constructor
public | constructor(opts: TransactionInstructionCtorFields, type: InstructionType) |

## Member Summary

Public Members
public | type: InstructionType Type of StakeInstruction |

## Inherited Summary

From class TransactionInstruction
public | data: Buffer Program input |
public | keys: Array<object> Public keys to include in this transaction Boolean represents whether this pubkey needs to sign the transaction |
public | programId: PublicKey Program Id to execute |

## Static Public Methods

### public static from(instruction: TransactionInstruction): StakeInstruction source

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

StakeInstruction

## Public Constructors

### public constructor(opts: TransactionInstructionCtorFields, type: InstructionType) source

#### Override:

TransactionInstruction#constructor

#### Params:

Name | Type | Attribute | Description
opts | TransactionInstructionCtorFields |  |
type | InstructionType |  |

## Public Members

### public type: InstructionType source

Type of StakeInstruction